%define name ripit
%define version 1.8
%define release 1

Summary: RipIT MPEG-1 Layer 3 (MP3) CD Ripper
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: distributable
Group: Applications/Sound
Source: http://www.funkyplace.freeserve.co.uk/files/%{name}-%{version}.tar.gz
BuildRoot: /tmp/%{name}-%{version}-root
URL: http://www.funkyplace.freeserve.co.uk/ripit.html
Requires: cdparanoia >= III, xmcd >= 2.4, perl >= 5
#Requires: cdparanoia >= III || lame >= 3.70, BladeEnc >= 0.72, xmcd >= 2.4, perl >= 5
BuildArchitectures: noarch
Prefix: /usr

%description
ripit is used to create MPEG-1 Layer 3 (MP3) audio files from an Audio CD.
It is simply a front-end, written in perl, for 3 excellent programs:
    * "xmcd" for CDDB lookup (doesn't use the GUI stuff)
    * "cdparanoia" for ripping the Audio CD tracks
    * "lame" >= 3.70 or "bladeenc" >= 0.72 for encoding the MP3 files

It runs in text mode (no fancy GUI here) and does everything required 
to produce a set of MP3 files without any user-intervention. 
This program does the following with an Audio CD:
    * Get the Audio CD Album/Artist/Tracks information from CDDB (using xmcd)
    * Rip the Audio CD Tracks (using cdparanoia)
    * Encode the MP3s (using bladeenc)
    * id3 tag the MP3s
    * Create an M3U file (lists MP3s created, used by various MP3 players)

%changelog
* Sat Jun 03 2000 Jason Spangler <jasons@usemail.com>
- Updated to 1.8, made relocatable, removed BladeEnc dependancy

* Sun Feb 28 1999 Jason Spangler <jasons@usemail.com>
- Inital RPM

%prep
%setup 

%build

%install
mkdir -p ${RPM_BUILD_ROOT}/usr/bin
install -m 755 ripit.pl ${RPM_BUILD_ROOT}/usr/bin/

%files
%attr(-,root,root)     %doc README HISTORY
%attr(755,root,root)   /usr/bin/ripit.pl

%clean
rm -rf $RPM_BUILD_ROOT
